﻿using System;
using System.Collections.ObjectModel;

namespace SeriesAddingWithCommand {
	public class MainWindowViewModel : PropertyChangedNotifier
	{
		private ObservableCollection<ChannelViewModel> channals;

		public MainWindowViewModel()
		{
			Channals = new ObservableCollection<ChannelViewModel>();
			Random r = new Random();
			for (int i = 0; i < 5; i++)
			{
				Channals.Add(new ChannelViewModel
				{
					ChannalName = "Channal " + i,
					ChartData = ChartDataViewModel.GenerateData(10000, r.Next(1,1000), r.Next(1001, 10000))
				});
			}
		}

		public ObservableCollection<ChannelViewModel> Channals
		{
			get { return channals; }
			set { channals = value; OnPropertyChagned("Channals"); }
		}
        
	}
}